Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu]Lisp di chuyển text của dim


  • Please log in to reply
25 replies to this topic

#1 draftsman38751

draftsman38751

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 November 2011 - 06:08 PM

Có bác pro nào giúp viết giúp em lisp như thế này ạh!
Yêu cầu lisp là di chuyển các text của dim sang vị trí khác
Tên lệnh: nd
-chọn 1 dim(hay nhiều dim cùng lúc)
-pick 1 điểm phía dưới đường dim thì chữ của dim(nằm trên đường kích thước) sẽ nhảy xuống phía dưới đường dim(thẳng hàng với điểm mình pick)(Nếu di chuyển được sang trái hay phải thì tốt quá)
Công việc của em nhiều khi dim phải di chuyển text (số)bằng tay từng cái một.Thanks nhiều lắm!
  • 0

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 23 November 2011 - 06:58 PM

Có bác pro nào giúp viết giúp em lisp như thế này ạh!
Yêu cầu lisp là di chuyển các text của dim sang vị trí khác
Tên lệnh: nd
-chọn 1 dim(hay nhiều dim cùng lúc)
-pick 1 điểm phía dưới đường dim thì chữ của dim(nằm trên đường kích thước) sẽ nhảy xuống phía dưới đường dim(thẳng hàng với điểm mình pick)(Nếu di chuyển được sang trái hay phải thì tốt quá)
Công việc của em nhiều khi dim phải di chuyển text (số)bằng tay từng cái một.Thanks nhiều lắm!

Hề hề hế,
Chả biết các bác nghĩ sao chứ chơi lisp với thằng dimension này mệt lắm. Theo mình cách thông dụng và dễ dàng là bạn nên vào dimstyle để mà chỉnh sao cho nó vừa ý rồi dim sẽ tốt hơn cả bạn ạ. Việc độ chế dim rất dễ gây hậu quả khó lường. Và cũng chớ có dại dột nổ tung dim ra để chỉnh sửa. Khi đó lúc cần modify bản vẽ sẽ là một cực hình.
Hề hề hề,
Chúc bạn may mắn.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 draftsman38751

draftsman38751

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 23 November 2011 - 08:03 PM

Hề hề hế,
Chả biết các bác nghĩ sao chứ chơi lisp với thằng dimension này mệt lắm. Theo mình cách thông dụng và dễ dàng là bạn nên vào dimstyle để mà chỉnh sao cho nó vừa ý rồi dim sẽ tốt hơn cả bạn ạ. Việc độ chế dim rất dễ gây hậu quả khó lường. Và cũng chớ có dại dột nổ tung dim ra để chỉnh sửa. Khi đó lúc cần modify bản vẽ sẽ là một cực hình.
Hề hề hề,
Chúc bạn may mắn.

Bác phamthanhbinh ơi!Lúc trước em co search trên CV thấy có lisp đổi font cho text của dim ấy!Nên em nghĩ sẽ có cách làm cho text của dim di chuyển theo ý mình.
  • 0

#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 23 November 2011 - 09:54 PM

Có bác pro nào giúp viết giúp em lisp như thế này ạh!
Yêu cầu lisp là di chuyển các text của dim sang vị trí khác
Tên lệnh: nd
-chọn 1 dim(hay nhiều dim cùng lúc)
-pick 1 điểm phía dưới đường dim thì chữ của dim(nằm trên đường kích thước) sẽ nhảy xuống phía dưới đường dim(thẳng hàng với điểm mình pick)(Nếu di chuyển được sang trái hay phải thì tốt quá)
Công việc của em nhiều khi dim phải di chuyển text (số)bằng tay từng cái một.Thanks nhiều lắm!

Làm được
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 draftsman38751

draftsman38751

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 24 November 2011 - 07:48 PM

Làm được

Vậy bác Ketxu giúp em nhé!Thanks bác nhiều nha!
  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 25 November 2011 - 08:39 AM

Vậy bác Ketxu giúp em nhé!Thanks bác nhiều nha!

Ồ, mình cứ tếu táo vậy thôi. Dạo này bận quá, lên đâm chọt 1 2 câu rồi lại té, k có thời gian đọc kỹ bài của mọi người ^^
Lisp dịch chuyển text dim theo vecto, lệnh mtd :
http://www.cadviet.c...en_text_dim.rar
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#7 nhatquyelec

nhatquyelec

    biết vẽ line

  • Members
  • PipPip
  • 29 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 25 November 2011 - 09:23 AM

Xin lỗi mọi người, cho mình mượn đề tài này và hỏi lệch sang một tí nhé
Cũng về cái text của Dimention,
Mình muốn xuất những cái text này sang Excel được không nhỉ (mình nghĩ chắc phải dùng LIsp rồi)
Mình Click chuột phải vào một "Aligned Dimension" để xem thuộc tính thì mình thấy trong mục Text có cái thuộc tính "Mesurement"(nó thể hiện cho cái text đó), và giờ mình muốn làm một Lisp, khi Click chọn vào các "Aligned Dimension" thì nó sẽ xuất các "Mesurement" của các "Aligned Dimension" đã chọn sang Excel (lưu ý là phải theo thứ tự đã chọn)
Mình chỉ biết cái hướng là như vậy thôi chứ cũng không biết phải viết như thế nào, mong mọi người giúp đỡ
  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 25 November 2011 - 10:13 AM

Xin lỗi mọi người, cho mình mượn đề tài này và hỏi lệch sang một tí nhé
Cũng về cái text của Dimention,
Mình muốn xuất những cái text này sang Excel được không nhỉ (mình nghĩ chắc phải dùng LIsp rồi)
Mình Click chuột phải vào một "Aligned Dimension" để xem thuộc tính thì mình thấy trong mục Text có cái thuộc tính "Mesurement"(nó thể hiện cho cái text đó), và giờ mình muốn làm một Lisp, khi Click chọn vào các "Aligned Dimension" thì nó sẽ xuất các "Mesurement" của các "Aligned Dimension" đã chọn sang Excel (lưu ý là phải theo thứ tự đã chọn)
Mình chỉ biết cái hướng là như vậy thôi chứ cũng không biết phải viết như thế nào, mong mọi người giúp đỡ


Tôi nhớ là đã viết giùm bạn nào đó cái y/c này rồi nhưng bây giờ mò đường link không ra nên đành post lên lại cho bạn vậy.

;Doan Van Ha - CADViet.com. Xuat Text, Mtext, Dimension ra file.
(defun C:HA( / lst fn fw index x y z txt)
(princ "\nChon cac Text/Mtext/Dimension can xuat ra file...")
(setq lst (acet-ss-to-list (ssget '((0 . "*TEXT,DIMENSION"))))
fn (getfiled "Chon file de save" "" "csv" 1)
fw (open fn "w")
index 0 x 1 y 1 z 1)
(repeat (length lst)
(cond
((= (cdr (assoc 0 (entget (nth index lst)))) "TEXT") (setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "text" (itoa x)) x (1+ x)))
((= (cdr (assoc 0 (entget (nth index lst)))) "MTEXT") (setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "mtext" (itoa y)) y (1+ y)))
((= (cdr (assoc 0 (entget (nth index lst)))) "DIMENSION")
(if (= (cdr (assoc 1 (entget (nth index lst)))) "")
(setq txt (strcat (rtos (cdr (assoc 42 (entget (nth index lst))))) "," "dim" (itoa z)) z (1+ z))
(setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "dim" (itoa z)) z (1+ z)))))
(princ (strcat txt "\n") fw)
(setq index (1+ index)))
(close fw))

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 26 November 2011 - 10:39 AM

Tôi nhớ là đã viết giùm bạn nào đó cái y/c này rồi nhưng bây giờ mò đường link không ra nên đành post lên lại cho bạn vậy.

 ;Doan Van Ha - CADViet.com. Xuat Text, Mtext, Dimension ra file. (defun C:HA( / lst fn fw index x y z txt) (princ "\nChon cac Text/Mtext/Dimension can xuat ra file...") (setq lst (acet-ss-to-list (ssget '((0 . "*TEXT,DIMENSION")))) fn (getfiled "Chon file de save" "" "csv" 1) fw (open fn "w") index 0 x 1 y 1 z 1) (repeat (length lst) (cond ((= (cdr (assoc 0 (entget (nth index lst)))) "TEXT") (setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "text" (itoa x)) x (1+ x))) ((= (cdr (assoc 0 (entget (nth index lst)))) "MTEXT") (setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "mtext" (itoa y)) y (1+ y))) ((= (cdr (assoc 0 (entget (nth index lst)))) "DIMENSION") (if (= (cdr (assoc 1 (entget (nth index lst)))) "") (setq txt (strcat (rtos (cdr (assoc 42 (entget (nth index lst))))) "," "dim" (itoa z)) z (1+ z)) (setq txt (strcat (cdr (assoc 1 (entget (nth index lst)))) "," "dim" (itoa z)) z (1+ z))))) (princ (strcat txt "\n") fw) (setq index (1+ index))) (close fw)) 

Lisp của bạn rất tuyệt
Mình thử dùng "ha" cho các text có nội dung như này: D400,L30. Nó là đường kính cống tròn và chiều dài của nó.Cũng xuất ra được excel gồm 2 cột là 2 text D400 và L30
Bạn có cách nào lọc được các số 30 sau chữ L rồi tính tổng của chúng => kết quả vừa hiện trên dòng command vừa có lựa chọn thay vào 1 text có sẵn trên bản vẽ luôn không?
Giúp mình với. Mình cần lấy tổng chiều dài của nhiều đoạn cống đã được ghi chú như thế mà không phải cộng tay từng đoạn một.Thanks trước nhé
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#10 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 26 November 2011 - 12:32 PM

Lisp của bạn rất tuyệt
Mình thử dùng "ha" cho các text có nội dung như này: D400,L30. Nó là đường kính cống tròn và chiều dài của nó.Cũng xuất ra được excel gồm 2 cột là 2 text D400 và L30
Bạn có cách nào lọc được các số 30 sau chữ L rồi tính tổng của chúng => kết quả vừa hiện trên dòng command vừa có lựa chọn thay vào 1 text có sẵn trên bản vẽ luôn không?
Giúp mình với. Mình cần lấy tổng chiều dài của nhiều đoạn cống đã được ghi chú như thế mà không phải cộng tay từng đoạn một.Thanks trước nhé

Hề hề hề,
Cách thì nhiều lắm nhưng bạn ưng cách chi???
Đây là một cách mà bạn có thể ứng dụng ngay cái lisp của bác DoanVanHa là chỉ cần bạn thêm một dấu phẩy vào sau ký tự L rồi chạy lisp là nó sẽ xuất cái số 30 thành một cột nằm sau cột chứa ký tự L. Rồi tùy bạn muốn chém hay mổ nó thế nào cũng được.
Hề hề hề.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#11 draftsman38751

draftsman38751

    biết zoom

  • Members
  • Pip
  • 16 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 26 November 2011 - 01:02 PM

Ồ, mình cứ tếu táo vậy thôi. Dạo này bận quá, lên đâm chọt 1 2 câu rồi lại té, k có thời gian đọc kỹ bài của mọi người ^^
Lisp dịch chuyển text dim theo vecto, lệnh mtd :
http://www.cadviet.c...en_text_dim.rar


Thanks bac Ketxu phát nha!lisp này đúng ý em rồi.nhưng file bác gửi ko phải la .lsp nên cũng hơi bất tiện.Vì em muốn gộp các file lisp mình hay dùng chung vào 1 chỗ ý mà!
  • 0

#12 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 26 November 2011 - 01:30 PM


Thanks bac Ketxu phát nha!lisp này đúng ý em rồi.nhưng file bác gửi ko phải la .lsp nên cũng hơi bất tiện.Vì em muốn gộp các file lisp mình hay dùng chung vào 1 chỗ ý mà!

Cái này thực chất cũng chỉ dùng command, n mình k public ^^, nếu bạn thích thì gửi file lisp của bạn cho mình, mình giúp gộp lại trong 1 file vlx toa ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#13 phamquoctuan

phamquoctuan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 26 November 2011 - 09:24 PM

nhân tiện nói chuyện về dim, các anh cho em hỏi chút, trước em đã từng dùng cái lisp, gần giống cutdim nhưng mà là điều chỉnh vị trí đường ghi số kích thước chứ khôg phải đường gióng kích thước, ai biết chỉ giùm em được không ạ, cám ơn rất nhiều
các anh quản trị tha tội cho e lần này nhé, 1 lần thôi
  • 0

#14 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 26 November 2011 - 10:09 PM

Gọi là lisp gióng dim, mình nghĩ bạn tìm trên diễn đàn hoặc GG sẽ thấy ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#15 phamquoctuan

phamquoctuan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 November 2011 - 12:46 AM

Anh MOD ah, tìm trên dd hay google đều không ra ( http://www.google.co...iw=1440&bih=836)
anh giúp em với ạ!
  • 0

#16 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 27 November 2011 - 02:16 AM

Anh MOD ah, tìm trên dd hay google đều không ra ( http://www.google.co...iw=1440&bih=836)
anh giúp em với ạ!

Mình có cả tên và Nick bạn ạ
http://www.cadviet.c...showtopic=53990
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#17 phamquoctuan

phamquoctuan

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 November 2011 - 08:53 PM


em xin nhận lỗi về khoản xưng hô, khi đó em vội quá, cám ơn anh ketxu nhiều ạ!

  • 0

#18 bach1212

bach1212

    biết lệnh trim

  • Members
  • PipPipPip
  • 190 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 28 November 2011 - 12:13 PM

Hề hề hề,
Cách thì nhiều lắm nhưng bạn ưng cách chi???
Đây là một cách mà bạn có thể ứng dụng ngay cái lisp của bác DoanVanHa là chỉ cần bạn thêm một dấu phẩy vào sau ký tự L rồi chạy lisp là nó sẽ xuất cái số 30 thành một cột nằm sau cột chứa ký tự L. Rồi tùy bạn muốn chém hay mổ nó thế nào cũng được.
Hề hề hề.

Dấu phẩy chỉ được phép trước chữ L thui mà bạn. Đó là cách ghi chú của bản vẽ rồi, không được sửa.
Mình cần kết quả có thể thể hiện ngay trên bản vẽ cad như đã yêu cầu, mà không cần mất các thao tác lưu ra excel rùi lại mở excel lên cộng vào mới biết kết quả được.
Hề hề, bạn có cách rùi thì làm giúp mình như yêu cầu đi mà.
  • 0

Một môn tập luyện mang lại vô vàn lợi ích sức khỏe cho mọi người, nhiều bệnh tật nan y đều được chữa khỏi, hoàn toàn miễn phí. Hiệu quả chữa khỏi bệnh tật của nó lên đến hơn 90%.
Tài liệu tại đây: http://phapluan.org/

Rất vui được làm quen với mọi người trên facebook:
https://www.facebook...67946371&type=1

 

 


#19 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 28 November 2011 - 12:46 PM

Dấu phẩy chỉ được phép trước chữ L thui mà bạn. Đó là cách ghi chú của bản vẽ rồi, không được sửa.
Mình cần kết quả có thể thể hiện ngay trên bản vẽ cad như đã yêu cầu, mà không cần mất các thao tác lưu ra excel rùi lại mở excel lên cộng vào mới biết kết quả được.
Hề hề, bạn có cách rùi thì làm giúp mình như yêu cầu đi mà.


Bạn xem lại nội quy box. Chỉ lời diễn tả suông sẽ không khiến mọi người có hứng thú để giúp bạn. Ở đây ít nhất bạn cũng phải có cái file để người ta test khi viết
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#20 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 28 November 2011 - 01:40 PM

Dấu phẩy chỉ được phép trước chữ L thui mà bạn. Đó là cách ghi chú của bản vẽ rồi, không được sửa.
Mình cần kết quả có thể thể hiện ngay trên bản vẽ cad như đã yêu cầu, mà không cần mất các thao tác lưu ra excel rùi lại mở excel lên cộng vào mới biết kết quả được.
Hề hề, bạn có cách rùi thì làm giúp mình như yêu cầu đi mà.

Hề hề hề,
1/- Cần gì thì hãy post bản vẽ lên.
2/- Ai cấm bạn thêm vào rồi sau khi add vào Excel lại xóa đi, bản vẽ vẫn gin.
3/- Bạn cần cách chi, mình có nhiều cách nên chả biết chọn cách chi cho phù hợp với sự khó tính của bạn.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.